Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.user
Class SimulatedUserAgent

    java.lang.Object
      lbg.user.UserAgent
          lbg.user.SimulatedUserAgent

    public class SimulatedUserAgent

extends UserAgent

Author:
  Cyril Briquet

Constructor Summary
`SimulatedUserAgent(java.lang.String id, UserPeerHandle peer, ISimulator sim)`

Method Summary
`long` | `completedJobs()`
`boolean` | `hasRunningJobs()`
`void` | `notifyCompletedJob(Task t)`
`void` | `notifyCompletedTask(Task t)`
`UserService` | `service()`
`int` | `submitJob(JobDescriptor jd)`
`long` | `submittedJobs()`
`java.lang.String` | `toString()`

Methods inherited from class lbg.user.UserAgent
`id, usedPeer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimulatedUserAgent

    public SimulatedUserAgent(java.lang.String id,
                              UserPeerHandle peer,
                              ISimulator sim)
                       throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `UserAgent`

### service

    public UserService service()

  Specified by:
    `service` in class `UserAgent`

### submitJob

    public int submitJob(JobDescriptor jd)
                  throws GridException

  Specified by:
    `submitJob` in class `UserAgent`
  Throws:
    `GridException`

### submittedJobs

    public long submittedJobs()

  Specified by:
    `submittedJobs` in class `UserAgent`

### completedJobs

    public long completedJobs()

  Specified by:
    `completedJobs` in class `UserAgent`

### hasRunningJobs

    public boolean hasRunningJobs()

  Specified by:
    `hasRunningJobs` in class `UserAgent`

### notifyCompletedTask

    public void notifyCompletedTask(Task t)
                             throws GridException

  Specified by:
    `notifyCompletedTask` in class `UserAgent`
  Throws:
    `GridException`

### notifyCompletedJob

    public void notifyCompletedJob(Task t)
                            throws GridException

  Specified by:
    `notifyCompletedJob` in class `UserAgent`
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.